@echo off

cmake -Bxpbuild -G "MinGW Makefiles" -DCMAKE_BUILD_TYPE=Release -DXP_SYSTEM=ON -DUSE_BOOST=ON
cd xpbuild
cpack
if %errorlevel% neq 0 (
    echo Error: cmake build failed.
    pause
    exit /b 1
)
echo Build completed successfully.
pause